input[type=checkbox],input[type=radio] {
  line-height:normal;
  margin-top:1px\9;
  margin:4px 0 0;
}

input[type=search] {
  -moz-appearance:none;
  -moz-box-sizing:border-box;
  -webkit-appearance:none;
  -webkit-box-sizing:border-box;
  appearance:none;
  box-sizing:border-box;
}

input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration {
  -webkit-appearance:none;
}

.glyphicon {
  -moz-osx-font-smoothing:grayscale;
  -webkit-font-smoothing:antialiased;
  display:inline-block;
  font-family:"Glyphicons Halflings";
  font-style:normal;
  font-weight:400;
  line-height:1;
  position:relative;
  top:1px;
}

.glyphicon-th:before {
  content:"\e011";
}

.glyphicon-th-list:before {
  content:"\e012";
}

.text-right {
  text-align:right;
}

.col-lg-1,.col-lg-10,.col-lg-11,.col-lg-12,.col-lg-2,.col-lg-3,.col-lg-4,.col-lg-5,.col-lg-6,.col-lg-7,.col-lg-8,.col-lg-9,.col-md-1,.col-md-10,.col-md-11,.col-md-12,.col-md-2,.col-md-3,.col-md-4,.col-md-5,.col-md-6,.col-md-7,.col-md-8,.col-md-9,.col-sm-1,.col-sm-10,.col-sm-11,.col-sm-12,.col-sm-2,.col-sm-3,.col-sm-4,.col-sm-5,.col-sm-6,.col-sm-7,.col-sm-8,.col-sm-9,.col-xs-1,.col-xs-10,.col-xs-11,.col-xs-12,.col-xs-2,.col-xs-3,.col-xs-4,.col-xs-5,.col-xs-6,.col-xs-7,.col-xs-8,.col-xs-9 {
  min-height:1px;
  padding-left:15px;
  padding-right:15px;
  position:relative;
}

.form-control::-webkit-input-placeholder {
  color:#999;
}

.btn-default {
  background-color:#fff;
  border-color:#ccc;
  color:#333;
}

.btn-group .btn+.btn,.btn-group .btn+.btn-group,.btn-group .btn-group+.btn,.btn-group .btn-group+.btn-group {
  margin-left:-1px;
}

.btn-group>.btn:not(:first-child):not(:last-child):not(.dropdown-toggle) {
  border-radius:0;
}

.btn-group>.btn:last-child:not(:first-child),.btn-group>.dropdown-toggle:not(:first-child) {
  border-bottom-left-radius:0;
  border-top-left-radius:0;
}

.input-group .form-control {
  float:left;
  margin-bottom:0;
  position:relative;
  width:100%;
  z-index:2;
}

.input-group .form-control,.input-group-addon,.input-group-btn {
  display:table-cell;
}

.input-group .form-control:first-child,.input-group-addon:first-child,.input-group-btn:first-child>.btn,.input-group-btn:first-child>.btn-group>.btn,.input-group-btn:first-child>.dropdown-toggle,.input-group-btn:last-child>.btn-group:not(:last-child)>.btn,.input-group-btn:last-child>.btn:not(:last-child):not(.dropdown-toggle) {
  border-bottom-right-radius:0;
  border-top-right-radius:0;
}

.input-group .form-control:last-child,.input-group-addon:last-child,.input-group-btn:first-child>.btn-group:not(:first-child)>.btn,.input-group-btn:first-child>.btn:not(:first-child),.input-group-btn:last-child>.btn,.input-group-btn:last-child>.btn-group>.btn,.input-group-btn:last-child>.dropdown-toggle {
  border-bottom-left-radius:0;
  border-top-left-radius:0;
}

.well {
  -webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
  background-color:#f5f5f5;
  border-radius:4px;
  border:1px solid #e3e3e3;
  box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
  margin-bottom:20px;
  min-height:20px;
  padding:19px;
}

.well-sm {
  border-radius:3px;
  padding:9px;
}

.btn-group-vertical>.btn-group:after,.btn-group-vertical>.btn-group:before,.btn-toolbar:after,.btn-toolbar:before,.clearfix:after,.clearfix:before,.container-fluid:after,.container-fluid:before,.container:after,.container:before,.dl-horizontal dd:after,.dl-horizontal dd:before,.form-horizontal .form-group:after,.form-horizontal .form-group:before,.modal-footer:after,.modal-footer:before,.modal-header:after,.modal-header:before,.nav:after,.nav:before,.navbar-collapse:after,.navbar-collapse:before,.navbar-header:after,.navbar-header:before,.navbar:after,.navbar:before,.pager:after,.pager:before,.panel-body:after,.panel-body:before,.row:after,.row:before {
  content:" ";
  display:table;
}

.btn-group-vertical>.btn-group:after,.btn-toolbar:after,.clearfix:after,.container-fluid:after,.container:after,.dl-horizontal dd:after,.form-horizontal .form-group:after,.modal-footer:after,.modal-header:after,.nav:after,.navbar-collapse:after,.navbar-header:after,.navbar:after,.pager:after,.panel-body:after,.row:after {
  clear:both;
}

.hidden {
  display:none!important;
}

.text-nowrap {
  white-space:nowrap;
}

.row {
  margin-left:-15px;
  margin-right:-15px;
}

label {
  display:inline-block;
  font-weight:700;
  margin-bottom:5px;
  max-width:100%;
}

.form-control {
  -o-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  -webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
  -webkit-transition:border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -webkit-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  background-color:#fff;
  background-image:none;
  border-radius:4px;
  border:1px solid #ccc;
  box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
  color:#555;
  display:block;
  font-size:14px;
  height:34px;
  line-height:1.42857143;
  padding:6px 12px;
  transition:border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  width:100%;
}

.btn {
  -moz-user-select:none;
  -ms-touch-action:manipulation;
  -ms-user-select:none;
  -webkit-user-select:none;
  background-image:none;
  border-radius:4px;
  border:1px solid transparent;
  cursor:pointer;
  display:inline-block;
  font-size:14px;
  font-weight:400;
  line-height:1.42857143;
  margin-bottom:0;
  padding:6px 12px;
  text-align:center;
  touch-action:manipulation;
  user-select:none;
  vertical-align:middle;
  white-space:nowrap;
}

.btn-primary {
  background-color:#337ab7;
  border-color:#2e6da4;
  color:#fff;
}

.btn-group-sm>.btn,.btn-sm {
  border-radius:3px;
  font-size:12px;
  line-height:1.5;
  padding:5px 10px;
}

.btn-group,.btn-group-vertical {
  display:inline-block;
  position:relative;
  vertical-align:middle;
}

.btn-group-vertical>.btn,.btn-group>.btn {
  float:left;
  position:relative;
}

.input-group {
  border-collapse:separate;
  display:table;
  position:relative;
  flex-wrap: nowrap;
}